Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161422 - /usr/lib/sendmail symlink missing
Summary: /usr/lib/sendmail symlink missing
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: postfix
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL: http://bugzilla.opengroupware.org/bug...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-23 08:43 UTC by Boris Folgmann
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-19 14:14:37 UTC


Attachments (Terms of Use)

Description Boris Folgmann 2005-06-23 08:43:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.7.7) Gecko/20050417 MultiZilla/1.7.0.2d

Description of problem:
If using postfix on FC3 or on RH9 the '/usr/lib/sendmail' symlink pointing to postfix's sendmail is missing. This problems leads to failures in the OpenGroupware.org software.

Please check:
http://www.pathname.com/fhs/pub/fhs-2.3.html#USRLIBLIBRARIESFORPROGRAMMINGANDPA

Version-Release number of selected component (if applicable):
postfix-2.1.5-5

How reproducible:
Always

Steps to Reproduce:
$ ls /usr/lib/sendmail
ls: /usr/lib/sendmail: No such file or directory


Additional info:

Comment 1 Thomas Woerner 2005-06-23 09:11:40 UTC
Please use "alternatives --config mta" to se the mta - alternatives is creating
a link for /usr/lib/sendmail.

How did you install the postfix package?

Comment 2 Boris Folgmann 2005-06-23 09:41:42 UTC
I usally use redhat-switch-mail to switch to postfix.

I checked this:
--------------------------------------------------------------------
# alternatives --config mta

There are 1 programs which provide 'mta'.

  Selection    Command
-----------------------------------------------
*+ 1           /usr/sbin/sendmail.postfix

Enter to keep the current selection[+], or type selection number:
--------------------------------------------------------------------

It does create /usr/lib/sendmail on FC3, but not on RH9. Note the wrong plural
in the program output.
 
The problem regarding my FC3 system is, that it's not a fresh install but an
upgraded system. I always put a lot of effort in fixing upgrade problems, but
this isn't an obvious one. Could you add an automatic "alternatives" run to the
upgrade procedure of the next released install image? I don't see an other
solution how other people using postfix will get a proper installation of all
necessary symlinks.


Comment 3 Thomas Woerner 2005-06-23 10:20:02 UTC
There is one - therefore I do not know what happened.

You said, that the FC3 is an updated system. Which system and which postfix
verion was installed before?


Comment 4 Boris Folgmann 2005-06-23 10:49:57 UTC
RH9, later FC1, then FC3. All available updates applied.
But I still have two RH9 system were I've tested that.



Comment 5 Thomas Woerner 2005-09-30 16:08:12 UTC
Do all these systems have the same problem after updating to FC3?

Comment 6 Boris Folgmann 2006-02-06 09:31:32 UTC
Thomas: at least all of my systems!


Comment 7 Matthew Miller 2006-07-10 22:55:31 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 8 Boris Folgmann 2007-03-19 14:09:21 UTC
All systems are now at RHEL4. Everything seems to be ok. Please close the bug.


Comment 9 Thomas Woerner 2007-03-19 14:14:37 UTC
Closing as notabug.


Note You need to log in before you can comment on or make changes to this bug.